<style>
  .image-gallery {overflow: auto; margin-left: -1%!important;}
  .image-gallery li {float: left; display: block; margin: 0 0 1% 1%; width: 40%; text-align: center; text-decoration: none!important;}
  .image-gallery li a {text-align: center; text-decoration: none!important; color: #777;}

  .image-gallery a span {display: block; text-overflow: ellipsis; overflow: hidden; white-space: nowrap; padding: 3px 0;}
  .image-gallery a img {width:100%; display: block;}
  .image-gallery li img {width:10%; display: block;}

  .image-gallery li a span {display: block; text-overflow: ellipsis; overflow: hidden; white-space: nowrap; padding: 3px 0;}
  .image-gallery li a img {width: 100%; display: block;}

</style>

<ul class="image-gallery">
{% for file in site.static_files %}
  {% if file.path contains include.folder %}
    {% if file.extname == '.jpg' or
      file.extname == '.jpeg' or 
      file.extname == '.JPG' or 
      file.extname == '.JPEG' %}

      {% assign filenameparts = file.path | split: "/" %}
      {% assign filename = filenameparts | last | replace: file.extname,"" %}
      <li>
        <a href="{{ site.baseurl }}{{ file.path }}" title="{{ filename }}">
        <img src="{{ site.baseurl }}{{ file.path }}" alt="{{ filename }}">
      </a>
      </li>
    {% endif %}
  {% endif %}
{% endfor %}
</ul>

